<?php
/**
 * Template Name: Home Page
 * A custom page template for the CoffeeLove Homepage.
 */
get_header(); ?>

<div id="content">
		<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
		<div id="intro-text">
			<?php the_content(); ?>
			<?php endwhile; ?>
		</div>
		<!--end Intro Text-->
		
		<div id="intro-slider">
		</div>
		<div class="clear"></div>
		<!--end Intro Slider-->
		
		<div id="news-columns">
			
			<div class="recent-posts">
				<h3><?php _e("Aktuelles", "twentyten"); ?></h3>
				<ul>
				<?php $my_query = new WP_Query('posts_per_page=4'); ?>
				<?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
				<li><?php the_post_thumbnail(array( 50,50 ), array( 'class' => 'recent-posts-thumbs' )); ?>
				<a href="<?php the_permalink() ?>" rel="bookmark">
				<?php the_title(); ?></a></li>
				<?php endwhile; wp_reset_query(); ?>
				</ul>
			</div>
			<!--end recent Posts -->
			
			<div class="recent-menu">
				<h3><?php _e("Unser Wochenmen&uuml;", "twentyten"); ?></h3>
				<p> <?php global $wp_query; $postid = $wp_query->post->ID; echo get_post_meta($postid, 'weeklymenu', true); wp_reset_query(); ?> </p>
			</div>
			<!--end recent Menu -->
			
			<div class="recent-twitter">
				<h3><?php _e("Zwitscher mit uns", "twentyten"); ?></h3>
				<?php twitter_messages('ellenbauer', 3, true, true, '>>', true, true, false); ?>
			</div>
			<!--end recent Tweets -->
			
		</div>
		<!--end 3 News Columns -->
		<div class="clear"></div>
</div>
<!--end Content-->

<?php get_footer(); ?>